Bug 31564 - Pass start label when exporting single label as PDF
Summary: Pass start label when exporting single label as PDF
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 31220
Blocks:
  Show dependency treegraph
 
Reported: 2022-09-14 13:23 UTC by Nick Clemens
Modified: 2022-11-25 00:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07, 21.11.14


Attachments
Bug 31564: Pass start label in PDF link (2.12 KB, patch)
2022-09-14 13:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 31564: Pass start label in PDF link (2.17 KB, patch)
2022-09-14 13:27 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 31564: Pass start label in PDF link (2.25 KB, patch)
2022-09-14 13:42 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2022-09-14 13:23:54 UTC
Bug 31220 partially fixed exporting a single label, we missed passing the start_label
Comment 1 Nick Clemens 2022-09-14 13:26:08 UTC
Created attachment 140632 [details] [review]
Bug 31564: Pass start label in PDF link

To test:
1 - Tools->Lbel creator
2 - Make a new batch
3 - Add an item
4 - Click 'export' on the single item
5 - Enter a starting label position greater than 1
6 - Click Export
7 - Click Download as PDF
8 - Note label in 1st position
9 - Apply patch
10 - Repeat and note label position now honored
Comment 2 Nick Clemens 2022-09-14 13:27:13 UTC
Created attachment 140633 [details] [review]
Bug 31564: Pass start label in PDF link

To test:
1 - Tools->Lbel creator
2 - Make a new batch
3 - Add an item
4 - Click 'export' on the single item
5 - Enter a starting label position greater than 1
6 - Click Export
7 - Click Download as PDF
8 - Note label in 1st position
9 - Apply patch
10 - Repeat and note label position now honored

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 3 Nick Clemens 2022-09-14 13:27:37 UTC
Trivial, self SO, sending to QA
Comment 4 Martin Renvoize 2022-09-14 13:42:38 UTC
Created attachment 140634 [details] [review]
Bug 31564: Pass start label in PDF link

To test:
1 - Tools->Lbel creator
2 - Make a new batch
3 - Add an item
4 - Click 'export' on the single item
5 - Enter a starting label position greater than 1
6 - Click Export
7 - Click Download as PDF
8 - Note label in 1st position
9 - Apply patch
10 - Repeat and note label position now honored

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2022-09-14 13:43:18 UTC
Works as expected now.  I fixed a missing filter inline whilst QAing.

Passes QA now :)
Comment 6 Katrin Fischer 2022-09-15 07:25:52 UTC
Don't forget Assignee, Nick! :)
Comment 7 Tomás Cohen Arazi 2022-09-22 11:25:14 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 8 Lucas Gass 2022-10-31 22:51:01 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 9 Arthur Suzuki 2022-11-14 16:50:07 UTC
applied to 21.11 for 21.11.14
Comment 10 Victor Grousset/tuxayo 2022-11-25 00:10:38 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.